[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.GetEnumerator

Return an enumerator for the data

## Declaration

Source position: fpjson.pp line 97

`public function TJSONData.GetEnumerator: TBaseJSONEnumerator; virtual;`

## Function result

The new enumerator

## Description

GetEnumerator returns an enumerator for the JSON data. For simple types, the enumerator will just contain the current value. For arrays and objects, the enumerator will loop over the values in the array. The return value is not a TJSONData type, but a TJSONEnum structure, which contains the value, and for structured types, the key (numerical or string).

## See also

TJSONEnum |  | JSON enumerator loop variable type
TJSONArray |  | Class of TJSONArray
TJSONObject |  | Class of TJSONObject

Documentation generated on: Feb 26 2014